title1 CENSUS OF CANADA 1981 - BST: EA-LONG FORM- EAF81B10
title2 SAS commands by Sushil Kumar, UT/DLS 09/2003, using DAIS ddims Publisher

LIBNAME LIBRARY 'C:\SUSHIL\CC81\EA\LONG\';
LIBNAME OUT 'C:\SUSHIL\CC81\EA\LONG\';
PROC FORMAT LIBRARY=LIBRARY ;
  Value  V1_F
    0.00='Canada'
    10.00='Newfoundland'
    11.00='Prince Edward Island'
    12.00='Nova Scotia'
    13.00='New Brunswick'
    24.00='Quebec'
    35.00='Ontario'
    46.00='Manitoba'
    47.00='Saskatchewan'
    48.00='Alberta'
    59.00='British Columbia'
    60.00='Yukon'
    61.00='Northwest Territories'
  ;
  Value  V6_F
    1.00='500,000 & over'
    2.00='100,000 - 499,999'
    3.00='30,000 - 99,999'
    4.00='10,000 - 29,999'
    5.00='5,000 - 9,999'
    6.00='2,500 - 4,999'
    7.00='1,000 - 2,499'
    8.00='0 - 999'
  ;
  Value  V11_F
    1.00='Urbanized core'
    2.00='Urban fringe'
    3.00='Rural fringe'
  ;
  Value  V12_F
    0.00='Not a CMA/CA'
    1.00='CMA'
    2.00='CA'
  ;
  Value  V13_F
    0.00='Not a CMA/CA'
    1.00='1,000,000 & over'
    2.00='500,000 - 999,999'
    3.00='250,000 - 499,999'
    4.00='100,000 - 249,999'
    5.00='50,000 - 99,999'
    6.00='25,000 - 49,999'
    7.00='10,000 - 24,999'
  ;
  Value  V18_F
    0.00='Rural'
    1.00='500,000 & over'
    2.00='100,000 - 499,999'
    3.00='30,000 - 99,999'
    4.00='10,000 - 29,999'
    5.00='5,000 - 9,999'
    6.00='2,500 - 4,999'
    7.00='1 - 2,499'
  ;
  Value  V22_F
    1.00='Includes IR or part of IR'
  ;
  Value  V23_F
    1.00='Canada'
    2.00='Provinces'
    3.00='Remainder'
    10.00='CMA/CA'
    12.00='Prov. CT subtotal'
    13.00='Census tracts'
    15.00='Prov. census tracts'
    16.00='Census divisions'
    17.00='Census subdivisions'
    18.00='Federal electoral districts'
    19.00='Enumeration areas'
  ;
RUN;
DATA  OUT.EAF81B10;
 INFILE 'C:\SUSHIL\CC81\EA\LONG\EAF81B10.DAT' LRECL = 574;
 INPUT
  RP 1-2  FED 3-5  EA 6-8  CD 9-10  CSDGC 11-13  CSDS 14-14  CSDTN 15-17  CSDT 18-19  CCSGC 20-22  CA 23-25
  CAP 26-26  CASL 27-27  CASZ 28-28  CTPN 29-35  CT 36-39  SPR 40-41  UAC 42-45  URS 46-46  BLANK1 47-47  BLANK2 48-48
  BLANK3 49-49  HGIMPIND 50-50  RECTYPE 51-52  V24 53-61  V25 62-70  V26 71-79  V27 80-88  V28 89-97  V29 98-106  V30 107-115
  V31 116-124  V32 125-133  V33 134-142  V34 143-151  V35 152-160  V36 161-169  V37 170-178  V38 179-187  V39 188-196  V40 197-205
  V41 206-214  V42 215-223  V43 224-232  V44 233-241  V45 242-250  V46 251-259  V47 260-268  V48 269-277  V49 278-286  V50 287-295
  V51 296-304  V52 305-313  V53 314-322  V54 323-331  V55 332-340  V56 341-349  V57 350-358  V58 359-367  V59 368-376  V60 377-385
  V61 386-394  V62 395-403  V63 404-412  V64 413-421  V65 422-430  V66 431-439  V67 440-448  V68 449-457  V69 458-466  V70 467-475
  V71 476-484  V72 485-493  V73 494-502  V74 503-511  V75 512-520  V76 521-529  V77 530-538  V78 539-547  V79 548-556  V80 557-565
  V81 566-574 ;

  FORMAT  RP V1_F. ;
  FORMAT  CSDS V6_F. ;
  FORMAT  CAP V11_F. ;
  FORMAT  CASL V12_F. ;
  FORMAT  CASZ V13_F. ;
  FORMAT  URS V18_F. ;
  FORMAT  HGIMPIND V22_F. ;
  FORMAT  RECTYPE V23_F. ;
  LABEL
    RP='Region and province'
    FED='Federal electoral district'
    EA='Enumeration area'
    CD='Census division'
    CSDGC='Census subdivision geographical classification'
    CSDS='CSD population size group'
    CSDTN='CSD type name'
    CSDT='CSD type code'
    CCSGC='Census consolidated subdivision geographical classification'
    CA='Census metropolitan area/Census agglomeration'
    CAP='CMA/CA part'
    CASL='CMA/CA selector'
    CASZ='CMA/CA population size group'
    CTPN='Census tract/Provincial census tract name'
    CT='Census tract/Provincial census tract code'
    SPR='Subprovincial region'
    UAC='Urban area code/Rural indicator'
    URS='Urabn area population size group'
    BLANK1='Blank'
    BLANK2='Blank'
    BLANK3='Blank'
    HGIMPIND='Indian Reserve: High imputation area indicator'
    RECTYPE='Record type'
    V24='Total families'
    V25='Wife under 35 yrs'
    V26='Wife 35-44 yrs'
    V27='Wife 45-54 yrs'
    V28='Wife 55 yrs & over'
    V29='Total husband-wife families'
    V30='Male lone parent '
    V31='Female lone parent under 35 yrs'
    V32='Female lone parent 35-44 yrs'
    V33='Female lone parent 45-54 yrs'
    V34='Female lone parent 55 yrs & over'
    V35='Female lone parent'
    V36='Total lone parent families'
    V37='Total families'
    V38='Tot fam: Husband or LP-Off lang English only'
    V39='Tot fam: Husband or LP-Off lang French only'
    V40='Tot fam: Husband or LP-Off lang English & French'
    V41='Tot fam: Husband or LP-Off lang Neither English nor French'
    V42='Total families: Wife-Off lang English only'
    V43='Tot fam: Wife-Off lang English only: Husband or LP-Off lang English only'
    V44='Tot fam: Wife-Off lang English only: Husband or LP-Off lang French only'
    V45='Tot fam: Wife-Off lang English only: Husband or LP-Off lang English & French'
    V46='Tot fam: Wife-Off lang English only: Husband or LP-Off lang Neither English nor French'
    V47='Total families: Wife-Off lang French only'
    V48='Tot fam: Wife-Off lang French only: Husband or LP-Off lang English only'
    V49='Tot fam: Wife-Off lang French only: Husband or LP-Off lang French only'
    V50='Tot fam: Wife-Off lang French only: Husband or LP-Off lang English & French'
    V51='Tot fam: Wife-Off lang French only: Husband or LP-Off lang Neither English nor French'
    V52='Total families: Wife-Off lang English & French'
    V53='Tot fam: Wife-Off lang English & French: Husband or LP-Off lang English only'
    V54='Tot fam: Wife-Off lang English & French: Husband or LP-Off lang French only'
    V55='Tot fam: Wife-Off lang English & French: Husband or LP-Off lang English & French'
    V56='Tot fam: Wife-Off lang English & French: Husband or LP-Off lang Neither English nor French'
    V57='Total families: Wife-Off lang Neither English nor French'
    V58='Tot fam: Wife-Off lang Neither English nor French: Husband or LP-Off lang English only'
    V59='Tot fam: Wife-Off lang Neither English nor French: Husband or LP-Off lang French only'
    V60='Tot fam: Wife-Off lang Neither English nor French: Husband or LP-Off lang English & French'
    V61='Tot fam: Wife-Off lang Neither English nor French: Husband or LP-Off lang Neither English nor French'
    V62='Total husband-wife families'
    V63='H-W fam: Husband or LP-Off lang English only'
    V64='H-W fam: Husband or LP-Off lang French only'
    V65='H-W fam: Husband or LP-Off lang English & French'
    V66='H-W fam: Husband or LP-Off lang Neither English nor French'
    V67='Total male lone parent families'
    V68='Male LP fam: Husband or LP-Off lang English only'
    V69='Male LP fam: Husband or LP-Off lang French only'
    V70='Male LP fam: Husband or LP-Off lang English & French'
    V71='Male LP fam: Husband or LP-Off lang Neither English nor French'
    V72='Total female lone parent families'
    V73='Female LP fam: Husband or LP-Off lang English only'
    V74='Female LP fam: Husband or LP-Off lang French only'
    V75='Female LP fam: Husband or LP-Off lang English & French'
    V76='Female LP fam: Husband or LP-Off lang Neither English nor French'
    V77='Total  lone parent families'
    V78='LP fam: Husband or LP-Off lang English only'
    V79='LP fam: Husband or LP-Off lang French only'
    V80='LP fam: Husband or LP-Off lang English & French'
    V81='LP fam: Husband or LP-Off lang Neither English nor French'
  ;
  ;
RUN;
